# Return all workflows

> **GET** `https://api.us.nylas.com/v3/workflows`

Source: https://developer.nylas.com/docs/reference/api/application-level-workflows/list-workflows/

Returns all application-level workflows.

**Authentication:** NYLAS_API_KEY

## Parameters

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | integer | No | The maximum number of objects to return. See [Pagination](/docs/reference/api/#pagination) for more information. |
| `page_token` | string | No | An identifier that specifies which page of data to return. You can get this value from the `next_cursor` response field. See [Pagination](/docs/reference/api/#pagination) for more information. |

## Responses

### 200 - Success. Returns list of workflows.

- `request_id` (string) **(required)** - The ID of the request.
- `data` (array) **(required)**
  - `app_id` (string,null) - The ID of the Nylas application associated with the workflow. Returned only if the
workflow is configured at the application level.
  - `date_created` (integer) **(required)** - When the workflow was created, in seconds using the Unix timestamp format.
  - `delay` (integer) **(required)** - The number of minutes between a `trigger_event` being met and the workflow sending
a message.
  - `grant_id` (string,null) - The ID of the grant associated with the workflow. Returned only if the workflow is
configured at the grant level.
  - `id` (string) **(required)** - The ID of the workflow.
  - `is_enabled` (boolean) **(required)** - When `true`, indicates that the workflow is enabled.
  - `name` (string) **(required)** - The name of the workflow.
  - `template_id` (string) **(required)** - The ID of the email template the workflow uses.
  - `trigger_event` (string) **(required)** - The event which triggers the workflow.
  - `from` (object,null) - Details of the sender if the workflow uses transactional send.
- `next_cursor` (string) **(required)** - A cursor pointing to the next page of results for the request.

### 400 - Error: Bad request

- `request_id` (string) **(required)** - The ID of the request.
- `error` (object) **(required)**
  - `type` (string) **(required)** - The type of error that occurred.
  - `message` (string) **(required)** - A human-readable message describing the error.

## Code samples

### cURL

```bash
curl --request GET \
  --url "https://api.us.nylas.com/v3/workflows?limit=10" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```
